<mat-select [placeholder]="selectedProperty" (selectionChange)="onColumnSelectionChange($event)">
  <mat-option value="null"> </mat-option>
  <mat-option *ngFor="let property of tableModelProperties" [value]="property">
    {{property}}
  </mat-option>
</mat-select>
<mat-form-field *ngIf="selectedProperty === 'destinationStopFlagCol'">
  <input matInput placeholder="Type destination stopPoint flag value" type="text" (input)="setDestinationStopFlagValue($event)">
</mat-form-field>
<mat-checkbox (change)="setCourseId($event)">Course identifier</mat-checkbox>
